## cloud-init 18.5-62-g6322c2dd

=== debian/changelog ===
cloud-init (18.5-62-g6322c2dd-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Revert "DataSource: move update_events from a class to an instance..."

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 10 Apr 2019 16:23:25 -0400

cloud-init (18.5-61-gb76714c3-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Change DataSourceNoCloud to ignore file system label's case.
      [Risto Oikarinen]
    - cmd:main.py: Fix missing 'modules-init' key in modes dict
      [Antonio Romito] (LP: #1815109)
    - ubuntu_advantage: rewrite cloud-config module
    - Azure: Treat _unset network configuration as if it were absent
      [Jason Zions (MSFT)] (LP: #1823084)
    - DatasourceAzure: add additional logging for azure datasource [Anh Vo]
    - cloud_tests: fix apt_pipelining test-cases
    - Azure: Ensure platform random_seed is always serializable as JSON.
      [Jason Zions (MSFT)]
    - net/sysconfig: write out SUSE-compatible IPv6 config [Robert Schweikert]
    - tox: Update testenv for openSUSE Leap to 15.0 [Thomas Bechtold]
    - net: Fix ipv6 static routes when using eni renderer
      [Raphael Glon] (LP: #1818669)
    - Add ubuntu_drivers config module
    - doc: Refresh Azure walinuxagent docs
    - tox: bump pylint version to latest (2.3.1)
    - DataSource: move update_events from a class to an instance attribute
      (LP: #1819913)
    - net/sysconfig: Handle default route setup for dhcp configured NICs
      [Robert Schweikert] (LP: #1812117)
    - DataSourceEc2: update RELEASE_BLOCKER to be more accurate

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 10 Apr 2019 11:49:03 -0400

cloud-init (18.5-45-g3554ffe8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - cloud-init-per: POSIX sh does not support string subst, use sed
      (LP: #1819222)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 08 Mar 2019 17:42:34 -0500

cloud-init (18.5-44-g7c07af28-0ubuntu2) disco; urgency=medium

  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 08 Mar 2019 09:56:42 -0500

cloud-init (18.5-44-g7c07af28-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
      (LP: #1818571)
    - helpers/openstack: Treat unknown link types as physical (LP: #1639263)
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger] (LP: #1818032)
    - cc_apt_pipelining: stop disabling pipelining by default (LP: #1794982)
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set (LP: #1816967)
    - Enable encrypted_data_bag_secret support for Chef
      [Eric Williams] (LP: #1817082)
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli] (LP: #1802073)
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
      (LP: #1779672)
    - netplan: Don't render yaml aliases when dumping netplan (LP: #1815051)
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel] (LP: #1802188)
    - clean: cloud-init clean should not trace when run from within cloud_dir
      (LP: #1795508)
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 07 Mar 2019 10:32:26 -0500

cloud-init (18.5-21-g8ee294d5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - opennebula: also exclude epochseconds from changed environment vars
      (LP: #1813641)
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT
      [Robert Schweikert] (LP: #1799540)
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Jan 2019 17:01:53 -0700

cloud-init (18.5-17-gd1a2fe73-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a
      delta (LP: #1813383)
    - tox: fix disco httpretty dependencies for py37 (LP: #1813361)
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package
      [Johnson Shi] (LP: #1799779)
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers] (LP: #1811446)
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions] (LP: #1794399)
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.

