## cloud-init 19.1-1-gbaa47854

=== debian/changelog ===
cloud-init (19.1-1-gbaa47854-0ubuntu1~18.10.1) cosmic; urgency=medium

  * debian/patches/ubuntu-advantage-revert-tip.patch
    Revert ubuntu-advantage config module changes until ubuntu-advantage-tools
    19.1 publishes to Cosmic (LP: #1828641)
  * New upstream snapshot. (LP: #1828637)
    - Azure: Return static fallback address as if failed to find endpoint
      [Jason Zions (MSFT)]
    - release 19.1
    - freebsd: add chpasswd pkg in the image [Gonéri Le Bouder]
    - tests: add Eoan release [Paride Legovini]
    - cc_mounts: check if mount -a on no-change fstab path [Jason Zions (MSFT)]
    - replace remaining occurrences of LOG.warn
    - DataSourceAzure: Adjust timeout for polling IMDS [Anh Vo]
    - Azure: Changes to the Hyper-V KVP Reporter [Anh Vo]
    - git tests: no longer show warning about safe yaml. [Scott Moser]
    - tools/read-version: handle errors [Chad Miller]
    - net/sysconfig: only indicate available on known sysconfig distros
    - packages: update rpm specs for new bash completion path
    - test_azure: mock util.SeLinuxGuard where needed [Jason Zions (MSFT)]
    - setup.py: install bash completion script in new location
    - mount_cb: do not pass sync and rw options to mount [Gonéri Le Bouder]
    - cc_apt_configure: fix typo in apt documentation [Dominic Schlegel]
    - Revert "DataSource: move update_events from a class to an instance..."
    - Change DataSourceNoCloud to ignore file system label's case.
      [Risto Oikarinen]
    - cmd:main.py: Fix missing 'modules-init' key in modes dict
      [Antonio Romito]
    - ubuntu_advantage: rewrite cloud-config module
    - Azure: Treat _unset network configuration as if it were absent
      [Jason Zions (MSFT)]
    - DatasourceAzure: add additional logging for azure datasource [Anh Vo]
    - cloud_tests: fix apt_pipelining test-cases
    - Azure: Ensure platform random_seed is always serializable as JSON.
      [Jason Zions (MSFT)]
    - net/sysconfig: write out SUSE-compatible IPv6 config [Robert Schweikert]
    - tox: Update testenv for openSUSE Leap to 15.0 [Thomas Bechtold]
    - net: Fix ipv6 static routes when using eni renderer [Raphael Glon]
    - Add ubuntu_drivers config module
    - doc: Refresh Azure walinuxagent docs
    - tox: bump pylint version to latest (2.3.1)
    - DataSource: move update_events from a class to an instance attribute
    - net/sysconfig: Handle default route setup for dhcp configured NICs
      [Robert Schweikert]
    - DataSourceEc2: update RELEASE_BLOCKER to be more accurate

 -- Chad Smith <chad.smith@canonical.com>  Sun, 12 May 2019 20:10:17 -0600

cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 11 Mar 2019 17:04:15 -0400

cloud-init (18.5-21-g8ee294d5-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Jan 2019 20:19:18 -0700

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a
      delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package
      [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.

