## cloud-init 19.2-24-ge7881d5c

=== debian/changelog ===
cloud-init (19.2-24-ge7881d5c-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1841099)
    - Oracle: Render secondary vnic IP and MTU values only
    - exoscale: fix sysconfig cloud_config_modules overrides
    - net/cmdline: refactor to allow multiple initramfs network config sources

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Aug 2019 15:50:54 -0600

cloud-init (19.2-21-ge6383719-0ubuntu1~18.04.1) bionic; urgency=medium

  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * debian/cloud-init.templates: enable Exoscale cloud.
  * New upstream snapshot. (LP: #1841099)
    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA
    - Add missing #cloud-config comment on first example in documentation.
      [Florian Müller]
    - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula
    - DataSourceOracle: prefer DS network config over initramfs
    - format.rst: add text/jinja2 to list of content types (+ cleanups)
    - Add GitHub pull request template to point people at hacking doc
    - cloudinit/distros/parsers/sys_conf: add docstring to SysConf
    - pyflakes: remove unused variable [Joshua Powers]
    - Azure: Record boot timestamps, system information, and diagnostic events
      [Anh Vo]
    - DataSourceOracle: configure secondary NICs on Virtual Machines
    - distros: fix confusing variable names
    - azure/net: generate_fallback_nic emits network v2 config instead of v1
    - Add support for publishing host keys to GCE guest attributes
      [Rick Wright]
    - New data source for the Exoscale.com cloud platform [Chris Glass]
    - doc: remove intersphinx extension
    - cc_set_passwords: rewrite documentation
    - net/cmdline: split interfaces_by_mac and init network config
      determination
    - stages: allow data sources to override network config source order
    - cloud_tests: updates and fixes
    - Fix bug rendering MTU on bond or vlan when input was netplan.
      [Scott Moser]
    - net: update net sequence, include wait on netdevs, opensuse netrules path
    - Release 19.2
    - net: add rfc3442 (classless static routes) to EphemeralDHCP
    - templates/ntp.conf.debian.tmpl: fix missing newline for pools
    - Support netplan renderer in Arch Linux [Conrad Hoffmann]
    - Fix typo in publicly viewable documentation. [David Medberry]
    - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]
    - VMWare: Trigger the post customization script via cc_scripts module.
      [Xiaofeng Wang]
    - Cloud-init analyze module: Added ability to analyze boot events.
      [Sam Gilson]
    - Update debian eni network configuration location, retain Ubuntu setting
      [Janos Lenart]
    - net: skip bond interfaces in get_interfaces [Stanislav Makar]
    - Fix a couple of issues raised by a coverity scan
    - Add missing dsname for Hetzner Cloud datasource [Markus Schade]
    - doc: indicate that netplan is default in Ubuntu now
    - azure: add region and AZ properties from imds compute location metadata
    - sysconfig: support more bonding options [Penghui Liao]
    - cloud-init-generator: use libexec path to ds-identify on redhat systems
    - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]
    - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]
    - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]
    - run-container: centos: comment out the repo mirrorlist [Paride Legovini]
    - netplan: update netplan key mappings for gratuitous-arp
    - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]
    - freebsd: ability to grow root file system [Gonéri Le Bouder]
    - freebsd: NoCloud data source support [Gonéri Le Bouder]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 22 Aug 2019 12:56:36 -0600

cloud-init (19.1-1-gbaa47854-0ubuntu1~18.04.1) bionic; urgency=medium

  * debian/patches/ubuntu-advantage-revert-tip.patch
    Revert ubuntu-advantage config module changes until ubuntu-advantage-tools
    19.1 publishes to Bionic (LP: #1828641)
  * New upstream snapshot. (LP: #1828637)
    - Azure: Return static fallback address as if failed to find endpoint
      [Jason Zions (MSFT)]
    - release 19.1
    - freebsd: add chpasswd pkg in the image [Gonéri Le Bouder]
    - tests: add Eoan release [Paride Legovini]
    - cc_mounts: check if mount -a on no-change fstab path [Jason Zions (MSFT)]
    - replace remaining occurrences of LOG.warn
    - DataSourceAzure: Adjust timeout for polling IMDS [Anh Vo]
    - Azure: Changes to the Hyper-V KVP Reporter [Anh Vo]
    - git tests: no longer show warning about safe yaml. [Scott Moser]
    - tools/read-version: handle errors [Chad Miller]
    - net/sysconfig: only indicate available on known sysconfig distros
    - packages: update rpm specs for new bash completion path
    - test_azure: mock util.SeLinuxGuard where needed [Jason Zions (MSFT)]
    - setup.py: install bash completion script in new location
    - mount_cb: do not pass sync and rw options to mount [Gonéri Le Bouder]
    - cc_apt_configure: fix typo in apt documentation [Dominic Schlegel]
    - Revert "DataSource: move update_events from a class to an instance..."
    - Change DataSourceNoCloud to ignore file system label's case.
      [Risto Oikarinen]
    - cmd:main.py: Fix missing 'modules-init' key in modes dict
      [Antonio Romito]
    - ubuntu_advantage: rewrite cloud-config module
    - Azure: Treat _unset network configuration as if it were absent
      [Jason Zions (MSFT)]
    - DatasourceAzure: add additional logging for azure datasource [Anh Vo]
    - cloud_tests: fix apt_pipelining test-cases
    - Azure: Ensure platform random_seed is always serializable as JSON.
      [Jason Zions (MSFT)]
    - net/sysconfig: write out SUSE-compatible IPv6 config [Robert Schweikert]
    - tox: Update testenv for openSUSE Leap to 15.0 [Thomas Bechtold]

