## cloud-init 19.2-36-g059d049c

=== debian/changelog ===
cloud-init (19.2-36-g059d049c-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1844334)
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 17 Sep 2019 08:18:06 -0600

cloud-init (19.2-24-ge7881d5c-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1841099)
    - Oracle: Render secondary vnic IP and MTU values only
    - exoscale: fix sysconfig cloud_config_modules overrides
    - net/cmdline: refactor to allow multiple initramfs network config sources

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Aug 2019 15:52:28 -0600

cloud-init (19.2-21-ge6383719-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/cloud-init.templates: enable Exoscale cloud.
  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * New upstream snapshot. (LP: #1841099)
    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA
    - Add missing #cloud-config comment on first example in documentation.
      [Florian Müller]
    - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula
    - DataSourceOracle: prefer DS network config over initramfs
    - format.rst: add text/jinja2 to list of content types (+ cleanups)
    - Add GitHub pull request template to point people at hacking doc
    - cloudinit/distros/parsers/sys_conf: add docstring to SysConf
    - pyflakes: remove unused variable [Joshua Powers]
    - Azure: Record boot timestamps, system information, and diagnostic events
      [Anh Vo]
    - DataSourceOracle: configure secondary NICs on Virtual Machines
    - distros: fix confusing variable names
    - azure/net: generate_fallback_nic emits network v2 config instead of v1
    - Add support for publishing host keys to GCE guest attributes
      [Rick Wright]
    - New data source for the Exoscale.com cloud platform [Chris Glass]
    - doc: remove intersphinx extension
    - cc_set_passwords: rewrite documentation
    - net/cmdline: split interfaces_by_mac and init network config
      determination
    - stages: allow data sources to override network config source order
    - cloud_tests: updates and fixes
    - Fix bug rendering MTU on bond or vlan when input was netplan.
      [Scott Moser]
    - net: update net sequence, include wait on netdevs, opensuse netrules path
    - Release 19.2
    - net: add rfc3442 (classless static routes) to EphemeralDHCP
    - templates/ntp.conf.debian.tmpl: fix missing newline for pools
    - Support netplan renderer in Arch Linux [Conrad Hoffmann]
    - Fix typo in publicly viewable documentation. [David Medberry]
    - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]
    - VMWare: Trigger the post customization script via cc_scripts module.
      [Xiaofeng Wang]
    - Cloud-init analyze module: Added ability to analyze boot events.
      [Sam Gilson]
    - Update debian eni network configuration location, retain Ubuntu setting
      [Janos Lenart]
    - net: skip bond interfaces in get_interfaces [Stanislav Makar]
    - Fix a couple of issues raised by a coverity scan
    - Add missing dsname for Hetzner Cloud datasource [Markus Schade]
    - doc: indicate that netplan is default in Ubuntu now
    - azure: add region and AZ properties from imds compute location metadata
    - sysconfig: support more bonding options [Penghui Liao]
    - cloud-init-generator: use libexec path to ds-identify on redhat systems
    - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]
    - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]
    - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]
    - run-container: centos: comment out the repo mirrorlist [Paride Legovini]
    - netplan: update netplan key mappings for gratuitous-arp
    - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]
    - freebsd: ability to grow root file system [Gonéri Le Bouder]
    - freebsd: NoCloud data source support [Gonéri Le Bouder]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 22 Aug 2019 11:55:27 -0600

cloud-init (19.1-1-gbaa47854-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/patches/ubuntu-advantage-revert-tip.patch
    Revert ubuntu-advantage config module changes until ubuntu-advantage-tools
    19.1 publishes to Xenial (LP: #1828641)
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
   + debian/patches/ec2-classic-dont-reapply-networking.patch
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
  * New upstream snapshot. (LP: #1828637)
    - Azure: Return static fallback address as if failed to find endpoint
      [Jason Zions (MSFT)]
    - release 19.1
    - freebsd: add chpasswd pkg in the image [Gonéri Le Bouder]
    - tests: add Eoan release [Paride Legovini]
    - cc_mounts: check if mount -a on no-change fstab path [Jason Zions (MSFT)]
    - replace remaining occurrences of LOG.warn

