=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cloud-init
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper (>= 9),
                dh-python,
+               dh-systemd,
                iproute2,
                pep8,
                po-debconf,
@@ -13,7 +14,6 @@
                python3-httpretty,
                python3-jinja2,
                python3-jsonpatch,
-               python3-jsonschema,
                python3-mock,
                python3-nose,
                python3-oauthlib,
@@ -28,22 +28,43 @@
 XS-Python-Version: all
 Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
 Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         isc-dhcp-client,
-         iproute2,
-         netplan.io | ifupdown,
+         ifupdown (>= 0.6.10ubuntu5),
          procps,
          python3,
-         python3-requests,
+         python3-requests (>= 0.8.2),
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
+Breaks: walinuxagent (<< 2.1.3-0ubuntu4.1)
 Recommends: eatmydata, gdisk, software-properties-common
+Provides: ec2-init
+Replaces: ec2-init (<<0.5.3)
+Conflicts: ec2-init (<<0.5.3)
 XB-Python-Version: ${python:Versions}
 Description: Init scripts for cloud instances
  Cloud instances need special scripts to run during initialisation
  to retrieve and install ssh keys and to let the user run various scripts.
+
+Package: grub-legacy-ec2
+Depends: debconf (>= 1.5.19) | cdebconf,
+         ucf,
+         util-linux (>= 2.15-1),
+         ${misc:Depends}
+Conflicts: grub
+Suggests: grub-legacy-doc
+Architecture: all
+Description: Handles update-grub for ec2 instances
+ EC2 instances that use grub-legacy as a bootloader need a way to keep
+ /boot/grub/menu.lst up to date while not conflicting with grub-pc.
+ This package provides that.
+
+Package: ec2-init
+Depends: cloud-init, ${misc:Depends}
+Architecture: all
+Description: package renamed -> cloud-init
+ This package has been renamed to 'cloud-init'.
