## cloud-init 19.3

=== debian/changelog ===
cloud-init (19.3-2) unstable; urgency=medium

  * Build-depends on python3-pep8 instead of just pep8 (Closes: #949940).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2020 13:11:23 +0100

cloud-init (19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Dec 2019 08:36:53 +0100

cloud-init (19.2-4) unstable; urgency=medium

  * Removed the last bit of Python2 build-depends (Closes: #942968).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:19:08 +0200

cloud-init (19.2-3) unstable; urgency=medium

  * Remove the patch for sources.list, and activate the option to preserve
    the sources.list by default (ie: apt_preserve_sources_list: true).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:44:00 +0200

cloud-init (19.2-2) unstable; urgency=medium

  * Comment out backports by default in apt/sources.list.
  * Standards-Version bump to 4.4.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:55:55 +0200

cloud-init (19.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0008-opennebula-also-exclude-epochseconds-from-changed-en.patch
    applied upstream.
  * Drop CVE-2019-0816_Filter_list_of_ssh_keys_pulled_from_fabric.patch also
    applied upstream.
  * Rebased patches:
    - 0009-Drop-all-unused-extended-version-handling.patch
    - 0012-Fix-message-when-a-local-is-missing.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2019 08:47:15 +0200
